Logic Pro 9 Latest macos that Logic Pro 9.1.8 will run on?

Hipsig

New Member
Hello,
I went to the system requirements page linked on your FAQ page, but it took me to the Logic X page so I am asking this here, but I am sorry if this has been answered already.

Can someone tell me the latest macos version that Logic Pro 9.1.8 will run on?

Thank you very much!
 

bambony

Logician
Logic 9.1.8 will run on El Capitan. Earlier versions of Logic 9 will not. I don't know about Sierra. The consensus is that Snow Leopard 10.6.8 is the "best" OS for Logic 9.1.8. These are also my findings.

Tony
 
Upvote 0

Markdvc

Administrator
Staff member
You cannot go beyond OSX 10.12 Sierra with Logic 9. It won't run in High Sierra or Mojave, I'm sure it won't run in Catalina either. FWIW I agree with Tony, the combination of OS 10.6.8 and Logic 9 was very good.

kind regards

Mark
 
Upvote 0
Top